summaryrefslogtreecommitdiff
path: root/scripts/mysql_install_db.sh
diff options
context:
space:
mode:
authorunknown <monty@mysql.com>2004-04-30 14:02:17 +0300
committerunknown <monty@mysql.com>2004-04-30 14:02:17 +0300
commit15c2bb61f505a1ce59894c3c299e533667274860 (patch)
treee1353cabd03b354f8b81634423e6b0e5cb0e54f5 /scripts/mysql_install_db.sh
parentae629fff866dda4e0e3411b0614d0c1efdfb6362 (diff)
downloadmariadb-git-15c2bb61f505a1ce59894c3c299e533667274860.tar.gz
Update 'MYSQL_FIELD->max_length' on mysql_stmt_store_result() (Bug #1647)
Added checking of cut read lines in bootstrap thread (Bug #2874) include/mysql.h: Added length to MYSQL_ROWS to enable sanity checking of packets Update 'MYSQL_FIELD->max_length' on mysql_stmt_store_result() libmysql/libmysql.c: Update 'MYSQL_FIELD->max_length' on mysql_stmt_store_result() (Bug #1647) scripts/fill_help_tables.sh: Added checking of maximum length of line in output (Bug #2874) scripts/mysql_install_db.sh: Added error message if help tables couldn't be done (Bug #2874) sql/sql_parse.cc: Added checking of cut read lines in bootstrap thread (Bug #2874) tests/client_test.c: Added --debug Changed some strange define names Less output Added testing of max_length for prepared statements
Diffstat (limited to 'scripts/mysql_install_db.sh')
-rw-r--r--scripts/mysql_install_db.sh31
1 files changed, 22 insertions, 9 deletions
diff --git a/scripts/mysql_install_db.sh b/scripts/mysql_install_db.sh
index 1861e8c52f8..61d173aac05 100644
--- a/scripts/mysql_install_db.sh
+++ b/scripts/mysql_install_db.sh
@@ -200,15 +200,28 @@ if test "$in_rpm" -eq 0 -a "$windows" -eq 0
then
echo "Installing all prepared tables"
fi
-if (
- $scriptdir/mysql_create_system_tables $create_option $mdata $hostname $windows
- if test -n "$fill_help_tables"
- then
- cat $fill_help_tables
- fi
-) | eval "$mysqld $defaults $mysqld_opt --bootstrap --skip-grant-tables \
- --basedir=$basedir --datadir=$ldata --skip-innodb --skip-bdb $args"
+mysqld_install_cmd_line="$mysqld $defaults $mysqld_opt --bootstrap \
+--skip-grant-tables --basedir=$basedir --datadir=$ldata --skip-innodb \
+--skip-bdb $args"
+if $scriptdir/mysql_create_system_tables $create_option $mdata $hostname $windows \
+ | eval "$mysqld_install_cmd_line"
then
+ if test -n "$fill_help_tables"
+ then
+ if test "$in_rpm" -eq 0 -a "$windows" -eq 0
+ then
+ echo "Fill help tables"
+ fi
+ if ! (echo "use mysql;
+ "
+ cat $fill_help_tables) | eval "$mysqld_install_cmd_line"
+ then
+ echo ""
+ echo "WARNING: HELP FILES ARE NOT COMPLETELY INSTALLED!"
+ echo "The \"HELP\" command might not work properly"
+ echo ""
+ fi
+ fi
if test "$in_rpm" = 0 -a "$windows" = 0
then
echo ""
@@ -250,7 +263,7 @@ then
fi
exit 0
else
- echo "Installation of grant tables failed!"
+ echo "Installation of system tables failed!"
echo
echo "Examine the logs in $ldata for more information."
echo "You can also try to start the mysqld daemon with:"